Bug 1690178 - Review Request: golang-github-inconshreveable-log15 - Simple toolkit for best-practice logging in Go
Summary: Review Request: golang-github-inconshreveable-log15 - Simple toolkit for best...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mark Goodwin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1670656
TreeView+ depends on / blocked
 
Reported: 2019-03-19 00:21 UTC by Nathan Scott
Modified: 2019-05-01 01:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-26 20:17:46 UTC
Type: ---
mgoodwin: fedora-review+


Attachments (Terms of Use)

Description Nathan Scott 2019-03-19 00:21:41 UTC
Spec URL: https://nathans.fedorapeople.org/log15/golang-github-inconshreveable-log15.spec
SRPM URL: https://nathans.fedorapeople.org/log15/golang-github-inconshreveable-log15-2.14-1.fc29.src.rpm

Description: Simple toolkit for best-practice logging in Go
Fedora Account System Username: nathans

Comment 1 Nathan Scott 2019-03-19 00:24:23 UTC
Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=33624134

Comment 2 Robert-André Mauchin 🐧 2019-03-19 14:57:18 UTC
 - Same issue, use golang(importpath) for the BR:

BuildRequires: golang(github.com/go-stack/stack)
BuildRequires: golang(github.com/mattn/go-colorable)
BuildRequires: golang(github.com/mattn/go-isatty)
BuildRequires: golang(golang.org/x/sys/unix)

Use the Gofed tool for that.

Comment 3 Nathan Scott 2019-03-19 21:23:47 UTC
Thanks, have updated the spec and SRPM accordingly (same place as before).

Comment 4 Mark Goodwin 2019-03-26 00:58:24 UTC
All looks good now, with the updated BRs. Approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-inconshreveable-log15-devel-2.14-1.fc31.noarch.rpm
          golang-github-inconshreveable-log15-2.14-1.fc31.src.rpm
golang-github-inconshreveable-log15-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/inconshreveable/log15/.goipath
golang-github-inconshreveable-log15.src: W: no-%build-section
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
golang-github-inconshreveable-log15-devel.noarch: W: invalid-url URL: https://github.com/inconshreveable/log15 <urlopen error [Errno -2] Name or service not known>
golang-github-inconshreveable-log15-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/inconshreveable/log15/.goipath
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
golang-github-inconshreveable-log15-devel (rpmlib, GLIBC filtered):
    golang(github.com/go-stack/stack)
    golang(github.com/mattn/go-colorable)
    golang(github.com/mattn/go-isatty)



Provides
--------
golang-github-inconshreveable-log15-devel:
    golang(github.com/inconshreveable/log15)
    golang(github.com/inconshreveable/log15/ext)
    golang(github.com/inconshreveable/log15/term)
    golang-github-inconshreveable-log15-devel
    golang-ipath(github.com/inconshreveable/log15)



Source checksums
----------------
https://github.com/inconshreveable/log15/archive/v2.14.tar.gz#/log15-2.14.tar.gz :
  CHECKSUM(SHA256) this package     : 3c8ee5d2c02b9292213535d080853c2f5383948cff79fb3f6cb65286d5e2b9ad
  CHECKSUM(SHA256) upstream package : 857161fe8b54af6b1e01af5ebd3b1aa796507e1c51a65055183ef0432aabb47e
However, diff -r shows no differences


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1690178 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 Gwyn Ciesla 2019-03-26 12:59:32 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-inconshreveable-log15

Comment 6 Fedora Update System 2019-04-16 06:26:18 UTC
golang-github-inconshreveable-log15-2.14-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-35517e0069

Comment 7 Fedora Update System 2019-04-17 01:02:35 UTC
golang-github-inconshreveable-log15-2.14-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-35517e0069

Comment 8 Fedora Update System 2019-04-21 23:58:30 UTC
golang-github-inconshreveable-log15-2.14-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c104e42194

Comment 9 Fedora Update System 2019-04-22 19:48:04 UTC
golang-github-inconshreveable-log15-2.14-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c104e42194

Comment 10 Fedora Update System 2019-04-27 21:25:22 UTC
golang-github-inconshreveable-log15-2.14-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-05-01 01:49:25 UTC
golang-github-inconshreveable-log15-2.14-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.